should i or not

Discussion in 'iPod touch' started by ialwaystouchit, Jul 31, 2008.

  1. ialwaystouchit

    ialwaystouchit New Member

    Joined:
    Apr 16, 2008
    Messages:
    26
    Likes Received:
    0

    Please Register or Log in to view images

    ok i want to jailbreak my ipod touch but i dont know if i should jailbreak in 1.1.4 or 1.1.3 or just downgrade it to 1.1.1 what do you think i should do and how could i do this what do i need to do ? or should i even do it
    so if you could tell me what would be the best thing to do plz let me know thanks

    Please Register or Log in to view images

  2. Ipodtouch97

    Ipodtouch97 Banned

    Joined:
    Jun 24, 2008
    Messages:
    980
    Likes Received:
    0
    you should jailbreak 2.0
    or 1.1.4
    for right now i think u should get 1.1.4

    Please Register or Log in to view images

  3. ialwaystouchit

    ialwaystouchit New Member

    Joined:
    Apr 16, 2008
    Messages:
    26
    Likes Received:
    0
    how can i do that what do i need to do
  4. jd155

    jd155 Member

    Joined:
    Mar 19, 2008
    Messages:
    139
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    well to jailbreak 1.1.4 u need somthing to jailbreak it with
    i suggest iLiberty
    theres a guide HERE
    if u want things simple u can usually skip steps 5(unless u want to ssh into ur ipod) and steps 6



    with 2.0 u can use either winpwn or pwnage but thats a differnt story.

Share This Page